import { VegaSlimmer } from '../../../../vega-slimmer/vega-slimmer-core';
import { VegaTable } from '../../vega-table';
/**
 * The table pagination of VegaTable
 */
export declare class VegaTablePaginationController extends VegaSlimmer {
  pagination: VegaTable['pagination'];
  pageSize: VegaTable['pageSize'];
  currentPage: VegaTable['currentPage'];
  /**
   * Component lifecycle - componentWillLoad
   */
  componentWillLoad(): void;
  /**
   *
   */
  watchPagination(): void;
  /**
   * Set pageSize value
   *
   * @param {number} pageSize - New value for pageSize
   */
  setPageSize(pageSize: number): void;
  /**
   * Set currentPage value
   *
   * @param {number} currentPage - New value for currentPage
   */
  setCurrentPage(currentPage: number): void;
  /**
   * Whether the row is visible in current page
   *
   * @param {number} index - The record index of the currentData
   * @returns {boolean} Return true if the row is visible
   */
  isRowVisible(index: number): boolean;
}
